Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## groovy.swing.factory
[Groovy] Class WidgetFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.swing.factory.WidgetFactory

    class WidgetFactory
    extends AbstractFactory

Field Summary
`protected boolean` | `leaf`

Property Summary
`Class` | `restrictedType`

Constructor Summary
`WidgetFactory(Class restrictedType, boolean leaf)`

Method Summary
`boolean` | `isLeaf()`
`Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`
`void` | `setChild(FactoryBuilderSupport builder, Object parent, Object child)`

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### leaf

    protected final boolean leaf

Property Detail

### restrictedType

    final Class restrictedType

Constructor Detail

### WidgetFactory

    WidgetFactory(Class restrictedType, boolean leaf)

Method Detail

### isLeaf

    boolean isLeaf()

### newInstance

    Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)

### setChild

    void setChild(FactoryBuilderSupport builder, Object parent, Object child)

Copyright © 2003-2010 The Codehaus. All rights reserved.